Upgrade fails after fresh Fedora 33 KDE install

Current steps -

  • Download Fedora 33 KDE ISO from fedora/dd to USB
  • Boot live USB
  • From terminal, cfdisk and remove old partitions
  • Click ‘Install to hard drive’

After install, boots fine (root password set + 1 user)
From terminal:

  • “su -”
  • “dnf upgrade -y --downloadonly”

After packages downloaded, run

  • “dnf upgrade --skip-broken --best --allowerasing”

Following terminal output and no upgrade:

root  ~  dnf upgrade --skip-broken --best --allowerasing
Last metadata expiration check: 0:15:19 ago on Fri 08 Jan 2021 04:58:55 PM PST.
Error:
Problem 1: problem with installed package sddm-breeze-5.19.5-3.fc33.noarch

  • cannot install the best update candidate for package sddm-breeze-5.19.5-3.fc33.noarch
  • nothing provides kf5-plasma >= 5.78.0 needed by sddm-breeze-5.20.5-1.fc33.noarch

Problem 2: problem with installed package plasma-workspace-5.19.5-3.fc33.x86_64

  • cannot install the best update candidate for package plasma-workspace-5.19.5-3.fc33.x86_64
  • nothing provides kf5-plasma(x86-64) >= 5.78.0 needed by plasma-workspace-5.20.5-1.fc33.x86_64

Problem 3: problem with installed package plasma-desktop-5.19.5-1.fc33.x86_64

  • cannot install the best update candidate for package plasma-desktop-5.19.5-1.fc33.x86_64
  • nothing provides kf5-plasma(x86-64) >= 5.78.0 needed by plasma-desktop-5.20.5-1.fc33.x86_64

Problem 4: problem with installed package plasma-user-manager-5.19.5-1.fc33.x86_64

  • cannot install the best update candidate for package plasma-user-manager-5.19.5-1.fc33.x86_64
  • nothing provides kf5-plasma(x86-64) >= 5.78.0 needed by plasma-desktop-5.20.5-1.fc33.x86_64

Problem 5: problem with installed package kwin-common-5.19.5-4.fc33.x86_64

  • cannot install the best update candidate for package kwin-common-5.19.5-4.fc33.x86_64
  • nothing provides kf5-kwayland(x86-64) >= 5.78.0 needed by kwin-common-5.20.5-1.fc33.x86_64

Problem 6: problem with installed package plasma-workspace-xorg-5.19.5-3.fc33.x86_64

  • cannot install the best update candidate for package plasma-workspace-xorg-5.19.5-3.fc33.x86_64
  • package plasma-workspace-xorg-5.20.5-1.fc33.x86_64 requires plasma-workspace = 5.20.5-1.fc33, but none of the providers can be installed
  • nothing provides kf5-plasma(x86-32) >= 5.78.0 needed by plasma-workspace-5.20.5-1.fc33.i686
  • nothing provides kf5-plasma(x86-64) >= 5.78.0 needed by plasma-workspace-5.20.5-1.fc33.x86_64

Problem 7: problem with installed package plasma-workspace-wayland-5.19.5-3.fc33.x86_64

  • cannot install the best update candidate for package plasma-workspace-wayland-5.19.5-3.fc33.x86_64
  • package plasma-workspace-wayland-5.20.5-1.fc33.x86_64 requires plasma-workspace = 5.20.5-1.fc33, but none of the providers can be installed
  • nothing provides kf5-plasma(x86-32) >= 5.78.0 needed by plasma-workspace-5.20.5-1.fc33.i686
  • nothing provides kf5-plasma(x86-64) >= 5.78.0 needed by plasma-workspace-5.20.5-1.fc33.x86_64

Problem 8: problem with installed package plasma-lookandfeel-fedora-5.19.5-3.fc33.noarch

  • cannot install the best update candidate for package plasma-lookandfeel-fedora-5.19.5-3.fc33.noarch
  • package plasma-lookandfeel-fedora-5.20.5-1.fc33.noarch requires plasma-workspace = 5.20.5-1.fc33, but none of the providers can be installed
  • nothing provides kf5-plasma(x86-32) >= 5.78.0 needed by plasma-workspace-5.20.5-1.fc33.i686
  • nothing provides kf5-plasma(x86-64) >= 5.78.0 needed by plasma-workspace-5.20.5-1.fc33.x86_64

Problem 9: problem with installed package plasma-integration-5.19.5-2.fc33.x86_64

  • cannot install the best update candidate for package plasma-integration-5.19.5-2.fc33.x86_64
  • package plasma-integration-5.20.5-1.fc33.x86_64 requires plasma-workspace >= 5.20, but none of the providers can be installed
  • nothing provides kf5-plasma(x86-32) >= 5.78.0 needed by plasma-workspace-5.20.5-1.fc33.i686
  • nothing provides kf5-plasma(x86-64) >= 5.78.0 needed by plasma-workspace-5.20.5-1.fc33.x86_64

Problem 10: problem with installed package kwin-x11-5.19.5-4.fc33.x86_64

  • cannot install the best update candidate for package kwin-x11-5.19.5-4.fc33.x86_64
  • package kwin-x11-5.20.5-1.fc33.x86_64 requires kwin-common(x86-64) = 5.20.5-1.fc33, but none of the providers can be installed
  • nothing provides kf5-kwayland(x86-64) >= 5.78.0 needed by kwin-common-5.20.5-1.fc33.x86_64

Problem 11: problem with installed package kwin-wayland-5.19.5-4.fc33.x86_64

  • cannot install the best update candidate for package kwin-wayland-5.19.5-4.fc33.x86_64
  • package kwin-wayland-5.20.5-1.fc33.x86_64 requires kwin-common(x86-64) = 5.20.5-1.fc33, but none of the providers can be installed
  • nothing provides kf5-kwayland(x86-64) >= 5.78.0 needed by kwin-common-5.20.5-1.fc33.x86_64

Problem 12: problem with installed package kwin-5.19.5-4.fc33.x86_64

  • cannot install the best update candidate for package kwin-5.19.5-4.fc33.x86_64
  • package kwin-5.20.5-1.fc33.x86_64 requires kwin-common(x86-64) = 5.20.5-1.fc33, but none of the providers can be installed
  • nothing provides kf5-kwayland(x86-64) >= 5.78.0 needed by kwin-common-5.20.5-1.fc33.x86_64

Something up with Fedora 33 KDE I haven’t read about?

(edit: formatting)

As a side note, I’m running on a Lenovo G710 with a Broadcom 43142 WIFI chipset, which is why I need to upgrade in order to get the proper driver.

It appears that 2 packages (kf5-kwayland and kf5-plasma) are not yet updated in the mirrors. Both are still at 5.75.0-1 in the fedora repo… Try again tomorrow and omit the download only step.

2 Likes

Thanks JV - I’ll try again tomorrow.

BTW --downloadonly was in the first pass to get the packages. The first line beginning the error readout was the actual options used.

[UPDATE] Mirrors updated. Looks good now.

1 Like